Package wx :: Package lib :: Module inspection :: Class InspectionTree

[frames | no frames]

## Type InspectionTree

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                      TreeCtrl --+
                                 |
                                InspectionTree

All of the widgets in the app, and optionally their sizers, are loaded into this tree.

Method Summary
| `__init__(self, *args, **kw)`
| `BuildTree(self, startWidget, includeSizers)`
| ``FindWidgetItem`(self, widget)` Find the tree item for a widget.
| ``GetTextForSizer`(self, sizer)` Returns the string to be used in the tree for a sizer
| ``GetTextForWidget`(self, widget)` Returns the string to be used in the tree for a widget
| `OnSelectionChanged(self, evt)`
| `SelectObj(self, obj)`

Property Summary

Instance Method Details

### FindWidgetItem(self, widget)

Find the tree item for a widget.

### GetTextForSizer(self, sizer)

Returns the string to be used in the tree for a sizer

### GetTextForWidget(self, widget)

Returns the string to be used in the tree for a widget

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:58 2007 | http://epydoc.sf.net